Deletes one key vault configuration.
Note
You can't delete a key vault configuration that one or more
S3-compatible snapshot store s use. Ops Manager returns a 409 Conflict error with the
KEY_VAULT_CONFIG_IN_USE code. To delete the configuration, first
update or remove the S3-compatible snapshot store s that use it.
Required Roles
Requires that the API Key calling this endpoint have the
Global Owner role.
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0/admin
Resource
DELETE /keyVault/{KEY-VAULT-ID}
Request Path Parameters
Name | Type | Description |
|---|---|---|
KEY-VAULT-ID | string | Unique identifier of the key vault configuration to delete. |
Request Query Parameters
The following query parameters are optional:
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether the response body is in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
This endpoint does not have response elements.
Example Request
curl --user '{PUBLIC-KEY}:{PRIVATE-KEY}' --digest \ --include \ --request DELETE 'https://<OpsManagerHost>:<Port>/api/public/v1.0/admin/keyVault/{KEY-VAULT-ID}'
Example Response
This endpoint doesn't return a response body.